Collector Trumpin:
Working under the shadow of the Ivory Tower, I often admire its graceful beauty. It reminds me of a delicate porcelain vase, that but with the slightest bit of mishandling would shatter into millions of pieces.
It doesn't seem structurally sound, does it? Any Dwarf with a basic knowledge of design would see this. It is no doubt held together by the force of the magic conducted within its walls. If one day those wizards were to lose their power... this beautiful building would be reduced to a pile of pebbles...
Return